Fee plans: flat rate vs. interchange-plus pricing

Fee plans define how you bill accounts on the Moov platform, allowing you to recover underlying processing costs, apply consistent pricing, and monetize payments.

Choose a pricing model, which determines how fees are structured and presented. Within your chosen model, fees are assessed when specific billable events occur. Clearly defined fee assessments and transparent pricing during the account onboarding process help build sustainable revenue while giving accounts confidence in how they are billed.

Flat rate vs interchange-plus pricing

Fee plans can be assigned to a single account or reused across many accounts. Moov supports two pricing models:

  • Flat rate pricing
  • Interchange cost-plus pricing

Both models offer the same processing capabilities and reliability. The difference is how fees are structured and presented. Each fee plan defines the fee type and the amount charged when a billable event occurs.

Flat rate pricing

Flat rate pricing offers a simplified and predictable pricing structure by consolidating processing costs into a single rate. Flat rate pricing is well suited for:

  • Accounts with lower transaction volumes
  • Accounts that prioritize predictable fees over cost optimization
  • Accounts that prefer simple pricing with minimal fee breakdowns

Interchange cost-plus pricing

Interchange cost-plus pricing provides an itemized fee structure that passes through card network fees and interchange—while allowing you to apply a markup for additional processing costs. This model gives accounts greater visibility into their true processing costs. Interchange cost-plus pricing is ideal for:

  • Accounts with higher transaction volumes
  • Accounts focused on minimizing processing costs
  • Accounts that value detailed fee transparency
  • Accounts that want to optimize payment strategies using fee-level insights

Read the partner billing guide to see how markups affect residuals.

Billable events

A billable event is an action on Moov's platform that triggers a fee assessment. The fees that are charged to your customers are determined by their fee plan agreement.

Fees are applied whenever the billable events occur and match the configured conditions. Multiple fee conditions can apply to the same event, and all matching rules are assessed. Supported billable events include:

  • Transaction volume such as ACH, instant payments (RTP or FedNow), push and pull transaction volume, and card settlement and authorizations
  • Exceptions and services including ACH returns and notifications of change, disputes and value-added card services
  • Recurring monthly account fees such as wallet fees and payment acceptance fees

Full list of billable events:

Billable event Description Fee condition
ACH volume Individual ACH debit and credit transactions
originated on the platform.
ach-credit-same-day
ach-credit-standard
ach-debit-collect
ach-debit-fund
ACH return NOC ACH exceptions, including returns and notices
of change (NOC).
unauthorized
authorized
noc
RTP volume Completed, successful Real-Time Payments (RTP)
disbursement transfers.
Push volume Push-to-card disbursement transfers. approval
decline
Pull volume Pull-from-card instant funding transfers, including sales,
refunds, and declines.
approval
decline
refund
Card settled volume Completed, successful card acquiring
payment transfers.
cardBrand
cardType
Card auth volume Card acquiring payment authorizations, regardless
of outcome, including sales, refunds, and voids.
decline
refund
void
Dispute count Initiated or received dispute.
Card verification count Verifying a cardholder’s account details when
linking a card.
Card update count Details of a card on file are updated through Moov's
card account updater service.
Instant verification count Instant micro-deposit verification.
Wallet fee Charged monthly per account for maintaining access
to the platform.
Payment acceptance fee Charged monthly per account with
any of the collect-funds and/or send-funds capabilities.
PCI fee A monthly maintenance fee for PCI compliance
and monitoring all accounts.

Create and assign fee plans

Moov recommends creating accounts and assigning fee plans during onboarding, either through the Dashboard or the API. Using the onboarding flow ensures accounts are presented with both the applicable terms of service and the selected fee plan, and are able to review and accept them as part of account creation.

For new accounts, fee plans are assigned as part of onboarding. When assigning a fee plan, you can choose between the pricing models outlined above:

Fee plans are configured by Moov. If you need to create a new fee plan or modify an existing plan (for example, to support a new pricing structure or business model), contact Moov support. Once created, fee plans can be assigned during onboarding through the Dashboard or via the API. You can preview each plan's pricing disclosure in the Dashboard before assigning it.

Existing accounts cannot currently be assigned a fee plan directly in the Dashboard. To assign a fee plan for an existing account, use the API or contact Moov support. To update an existing account, use API v2026.10.00 and the create fee plan agreement endpoint.

Hosted onboarding in the Dashboard

In the Dashboard, you can create a hosted onboarding link to set up an account. During this process, you will be prompted to select the following:

  • Account type
  • Capabilities
  • Pricing plan

Under Pricing, select either a standard flat rate plan or an interchange cost-plus plan.

See the Dashboard onboarding guide for step-by-step instructions.

Onboard via API

Create onboarding links and assign fee plans programmatically using the onboarding API. In addition to capabilities and account details, you will specify one or more fee plan codes.

curl -X POST "https://api.moov.io/onboarding-invites" \
  -H "Authorization: Bearer {token}" \
  -H "x-moov-version: v2026.10.00" \
  --data-raw '{
    "scopes": [
      "accounts.read",
      "bank-accounts.read",
      "bank-accounts.write",
      "capabilities.read",
      "capabilities.write",
      "profile.read",
      "profile.write",
      "payment-methods.read",
      "transfers.read",
      "transfers.write",
      "wallets.read"
    ],
    "grantScopes": [
      "accounts.read",
      "bank-accounts.read",
      "bank-accounts.write",
      "capabilities.read",
      "capabilities.write",
      "profile.read",
      "profile.write",
      "payment-methods.read",
      "transfers.read",
      "transfers.write",
      "wallets.read"
    ],
    "capabilities": [
      "transfers"
    ],
    "feePlanCodes": [
      "b6134307-8922-4a72-bf3c-d0297bbe8a35"
    ],
    "prefill": {
      "mode": "production",
      "accountType": "individual",
      "termsOfService": {
        "token": "UUID"
      }
    }
  }'

You can also prefill account information such as account type, name, and address. For more details, see the hosted onboarding guide.

To view an account's current fee plan agreement either navigate to Accounts > Pricing in the Dashboard, or use the fee agreements endpoint.

If you need to update a pricing model, such as increasing fees, changing billing frequency, or modifying plan structure, contact Moov support.

Pricing disclosures

You are responsible for account-facing communications regarding pricing. Any changes or updates to a fee plan must be communicated to and accepted by account holders. If you use Moov's hosted onboarding process, Moov presents the pricing disclosure with the onboarding link. The disclosure lists the rates in the plan you selected.

All fee plans must be accepted by the account holder before processing. Any changes to existing fee plans must go through a Moov representative, and must be communicated and accepted by account holders before they can be implemented.

You can preview detailed pricing disclosures for both plan types in the Dashboard.

Update a fee plan

Starting with API v2026.10.00, a fee plan can be updated using the create fee plan agreement endpoint. Send both the planID and priorAgreementID fields in the request. The planID is the new fee plan and priorAgreementID is the fee agreement being replaced.

{
  "planID": "9d6d433b-c13a-48d7-849a-1897fa71375b",
  "priorAgreementID": "0a19bb2c-6d5e-4f3a-9b8c-7a6d5e4f3c2b"
}

Next steps